'**********************************************************************
'       This script requires "FEShlExt.dll" in the same directory as this script or in "C:\Program Files\FastExplorer".
'       This dll will be moved to "C:\Program Files\FastExplorer" if not there already.
'       Then registered with regsrv32.exe.
'       If your default program files folder is not "C:\Program Files\", it will find which one it is.
'       The DLL is from one of the Fast Explorer package
'       Fast Explorer home page: http://thesoftpro.tripod.com/downloads/fe/
'       Download "feredist.zip" for installing the DLL only (If "FEShlExt.dll" is not included in this package -normaly it is-)
'       or "fesetup.zip" to install the full program and use FastExplorer.exe in the future if you wish.
'       In any case, "FEShlExt.dll" and all Fast Explorer related files ("FastExplorer.exe", "FastExplorer.1036.lng", etc )
'       must be located in "C:\Program Files\FastExplorer" because FastExplorer's official installer install its files there.
'
'      What this script will do:
'             1/ Install and register "FEShlExt.dll"
'
'    FEShlExt.dll is component written by Alex Yakovlev Copyright  1999-2007
'    (This script was written by Fredledingue)
'**********************************************************************
'-----set constants-----
Title="Fast Explorer's context menu ""FEShlExt.dll"" installer 0.1"
Dim fso, WshShell
Set fso = CreateObject("Scripting.fileSystemObject")
Set WshShell=Wscript.CreateObject("Wscript.Shell")
'__________________Install Fast Explorer's DLL_____________________
'---------------------ask if already installed--------------------
	If MsgBox("InStall Fast Explorer's context menu ""FEShlExt.dll""?" _
			& VbCrlf & """FEShlExt.dll"" must be in the same folder as that of this script." _
			& VbCrlf  _
			& VbCrlf & VbTab & VbTab & "****** HELP ******" _
			& VbCrlf & "Fast Explorer ""FEShlExt.dll"" is used to add customized context menu" _
			& VbCrlf & "(on mouse right-click) in Windows Explorer." _
			& VbCrlf & "This script will only install and register the dll." _
			& VbCrlf & "It will not add any contextual menu item." _
			& VbCrlf & "To add them, use ""FastExplorer.exe"" or ""Context_Menu_Customizer.hta"" or edit the ini file.", 4+32, Title)=7 Then
	Wscript.Quit
	End If
'------Find the ""Program Files"" folder.-------
On Error Resume Next
ProgFilesFolder = WshShell.RegRead ("HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\ProgramFilesDir")
On Error GoTo 0
	If Fso.FolderExists(ProgFilesFolder)=False Then
	MsgBox "Cannot find the ""Program Files"" folder. Please select it manualy.",0+48,Title
	Set objShell = CreateObject("Shell.Application")
	Set objFolder = objShell.BrowseForFolder(0, "Select the ""Program Files"" folder, then click ""Ok"".", 0, 36)
		If objFolder Is Nothing Then
		MsgBox "No folder selected, the installation has been aborted.",0+48,Title
		Wscript.Quit
		Else
		ProgFilesFolder = objFolder.Items.Item.path
		End If
	Set objFolder = Nothing
	End If
ProgFilesFolder = ProgFilesFolder & "\FastExplorer"
'-------Check if DLL already in the ""C:\Program Files\FastExplorer"" folder.and move it there if needed-----
	If Fso.FolderExists(ProgFilesFolder)=False Then
	Fso.CreateFolder(ProgFilesFolder)
	MsgBox "Folder """ & ProgFilesFolder & """ created.",,Title
	End If
	If Fso.FileExists("FEShlExt.dll")=False Then
		If Fso.FileExists(ProgFilesFolder & "\FEShlExt.dll")=False Then
		MsgBox """FEShlExt.dll"" not found in " & ProgFilesFolder _
			& VbCrlf & "and not found in the same folder as that of this script." _
			& VbCrlf & "The installation cannot continue.", 16+0, Title
		Wscrip.Quit
		End If
	ElseIf Fso.FileExists(ProgFilesFolder & "\FEShlExt.dll")=False Then
	fso.GetFile("FEShlExt.dll").Move ProgFilesFolder & "\FEShlExt.dll"
	End If
'-------Register the DLL----
SysDir = fso.GetSpecialFolder(1)
DllPath = fso.GetFile(ProgFilesFolder & "\FEShlExt.dll").ShortPath
WshShell.Run SysDir & "\regsvr32.exe /S " & DllPath, 1, True
Wscript.Sleep 300
MsgBox DllName & """" & DllPath & """ successfully installed and registered.",,Title
'--------End of script--------
'Frdric Hage
'Free to use and distribute for private and non commercial and non professional purpose.
'This script is under copyright protection.